Redmine - Feature #950

Import Issues from delimited/CSV file
2008-03-29 02:13 - John Z

Status: Closed Start date: 2008-03-29
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Importers Estimated time: 0.00 hour
Target version: 3.2.0

Resolution: Fixed

Description

| agree with this thread. It would be very useful to be able to import issues™ from external files. This would allow for pre-planned work
items to be created in other tools such as a spreadsheet or other project planning tool and imported. This would also allow us a
work-around for the inability to "Copy" projects as templates for re-use.

http://www.redmine.org/boards/1/topics/show/159

*(we work with tasks, and so the name "Issues" only applies to a small subset of work that is tracked).

Related issues:

Related to Redmine - Defect #20551: Typo "coma" (correct: "comma") Closed
Has duplicate Redmine - Feature #7103: Import form csv Closed 2010-12-13
Has duplicate Redmine - Feature #7884: Import issues from Excel or CSV file Closed 2011-03-16

Associated revisions

Revision 14493 - 2015-08-14 10:20 - Jean-Philippe Lang
Import issues from CSV file (#950).

Revision 14494 - 2015-08-14 11:00 - Jean-Philippe Lang
Adds translation strings (#950).

Revision 14495 - 2015-08-14 17:42 - Jean-Philippe Lang
Adds support for custom date format when importing a CSV file (#950).

Revision 14496 - 2015-08-14 17:52 - Jean-Philippe Lang

Set default date format based on user locale (#950).

Revision 14497 - 2015-08-15 08:22 - Jean-Philippe Lang

Use named scope to find the matching version (#950).

Revision 14501 - 2015-08-15 09:06 - Jean-Philippe Lang

Use same logic for finding user when importing a file (#950).

Revision 14503 - 2015-08-15 11:15 - Jean-Philippe Lang

Use same logic for finding user as a custom field (#950).

Revision 14504 - 2015-08-15 11:19 - Jean-Philippe Lang

CSV importer raises 118n::InvalidLocale exception if current user's language is "(auto)" (#905, #20535).

Revision 14505 - 2015-08-15 11:22 - Jean-Philippe Lang
DEPRECATION WARNING: “#timestamps™ was called without specifying an option for "null’ (#905, #20533).

History

#1 - 2008-03-29 10:52 - Jean-Philippe Lang
- Target version deleted (0.7)
http://www.redmine.org/boards/1/topics/show/159

#2 - 2008-05-01 20:23 - Mark P

| originally posted this in the forums, but | will post it here as well. Seems to make more sense keeping it with the feature request. | would like the
same functionality. If someone at Redmine could help me get started with data structure, | would be interested in contributing some effort for this. | am
a newbie to Redmine, but | really like the product so far and would be willing to help.

#3 - 2008-05-14 17:40 - Mark P

Any interest in my helping with this? At this time, my approach was to use a csv to Trac python script. Then use the Trac import program within
Redmine to get the data the rest of the way into Redmine. | would much prefer to have a direct flight rather than a layover in Trac. | have been really
happy with Redmine so far, and would be happy to give back by assisting with this in any way | can.

#4 - 2008-05-15 00:58 - John Z

Personally I'd love to see a direct import option and for you to work on it. | could test it for you and maybe create an Excel template for people to
match for importing. But being on the PM side of things, I'm not a coder. Wish | could contribute more directly though.

#5 - 2009-01-28 14:31 - Vianney Stroebel

This feature would be so useful!

We often start a project with a hundred tasks and it's much easier to create them in a spreadsheet than in Redmine.
Is anyone working on it?

#6 - 2009-03-17 00:43 - Benjamin Baroukh
Push up !

#7 - 2009-08-10 14:47 - Nanda P

+1

#8 - 2009-11-26 15:43 - Nikolay Kotlyarov

+1
#9 - 2009-11-26 20:05 - Jean-Philippe Lang
John Z wrote:

This would also allow us a work-around for the inability to "Copy" projects as templates for re-use.

Project copy (with issues) is now available.

#10 - 2009-12-29 20:03 - Michael lvanov

Without this feature implemented we’re importing hundreds of issues from Excel to Redmine by hand.
+100

#11 - 2010-03-09 21:39 - Pete P

Having this feature really expands the capability of Redmine. | would be able to import whatever | wanted into the issue database. Unfortunately, the
importer plugin doesn't work with the latest version of Redmine.

#12 - 2010-03-10 02:47 - Robert Chady

What happens to the importer plugin with the latest version of Redmine? | haven't seen any issues raised against it, so I'm not sure what other issues
there are other than the ones that make it marked 'unsupported' at the moment.

#13 - 2010-03-10 17:17 - Pete P

Was using the wrong version of the importer. Switched to yours and it worked. Thanks!
#14 - 2010-05-05 09:56 - Se Ri

Hey Robert Chady,

| used your importer with redmine 0.9.4. | keeps getting this error:

"Internal error

An error occurred on the page you were trying to access.
If you continue to experience problems please contact your redMine administrator for assistance."

2025-07-15 2/5



Thinking about utf-8 encoding, | have used tools to convert csv file to utf-8, but same error. | know this is not listed as compatible with redmine 0.9.x,
but just ask if you have any fixes.

Please help. Thanks a lot.
Seri

#15 - 2010-05-06 04:57 - ha thach

try this one, dude. It is called redmine_loader http://github.com/simonstearn/redmine_loader, Supports XML files output by MS Project etc and does a
simple load into a default tracker for the selected project. Work with 0.9.3

#16 - 2010-05-06 08:36 - Se Ri
great, thanks for your quick reply, ha thach. i'll try it.

btw, any plugins for exporting to ms project file ?

Seri

#17 - 2010-05-07 09:02 - Se Ri

Hey ha thach,

| tried that plugin. | faced error with priority is blank in my file, so not yet successful (MS Project uses priority as number, while | use my own priority
values as High/Normal/Low). But | think it's not exactly what | want, cause | need to import issues and related custom fields, not MS project fields.
And currently, | have those issues in Excel file.

Anyways, thanks for your info. | might need that when | start to import tasks.

Any other options for me ?

Seri

#18 - 2015-08-14 10:21 - Jean-Philippe Lang

- Subject changed from Import Issues from delimited file to Import Issues from delimited/CSYV file

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.2.0

- Resolution set to Fixed

Feature added in r14493.

#19 - 2015-08-14 10:21 - Jean-Philippe Lang
- Has duplicate Feature #7884: Import issues from Excel or CSV file added

#20 - 2015-08-14 12:43 - Go MAEDA

Great! This is long awaited feature.

#21 - 2015-08-18 02:31 - Toshi MARUYAMA
- Related to Defect #20551: Typo "coma" (correct: "comma") added

#22 - 2015-11-24 16:35 - Hassan Assalih

Jean, could you please provide an estimated date to release version 3.2.0 with this feature. | am sure many many people will thank you. So big
thanks :)

#23 - 2015-11-24 20:15 - Jean-Philippe Lang
| think that 3.2.0 will be released by the end of the next week.

#24 - 2015-11-24 20:52 - Antoine Verron
Oh yes!

#25 - 2016-02-08 09:39 - Martin P.

For anybody searching for this feature:

Per default, only admin role users see the import link. You can activate this for more roles under:
http://github.com/simonstearn/redmine_loader
https://www.redmine.org/projects/redmine/repository/svn/revisions/14493

https://your-redmine-url.xyz/roles/permissions

Then you will find the Link in the ticket category/tab (/issues/) in the menu list as the last menu point or via the adress in the url:
https://your-redmine-url.xyz/issues/imports/new

Hope this helps one or two.. ;)

#26 - 2016-02-24 23:17 - Frank Zebre

M P wrote:

For anybody searching for this feature:

Per default, only admin role users see the import link. You can activate this for more roles under:
https://your-redmine-url.xyz/roles/permissions

Then you will find the Link in the ticket category/tab (/issues/) in the menu list as the last menu point or via the adress in the url:
https://your-redmine-url.xyz/issues/imports/new

Hope this helps one or two.. ;)

Is it possible you can post a picture of where this is? | can see the option under permissions and have enabled it but cannot for the life of me find an
import button...

#27 - 2016-02-25 12:52 - Robert Schneider

@°FrankZebre: In version 3.2.0 go to a Project, go to Issues and then it is in the sidebar on the right side.
There are the links

View all issues
Summary
Calendar
Gantt

Import

#28 - 2016-02-25 14:56 - Frank Zebre

@RobertSchneider: Hmmm | guess | must have a plugin installed that is getting rid of it. Even when | try to browse to
redmine/projects/tickets/issues/imports (or with /new) as suggested by Butanuin Butanuin above | get a Page Not Found.

#29 - 2016-02-25 15:00 - Frank Zebre

Frank Zebre wrote:

@RobertSchneider: Hmmm | guess | must have a plugin installed that is getting rid of it. Even when | try to browse to
redmine/projects/tickets/issues/imports (or with /new) as suggested by Butanuin Butanuin above | get a Page Not Found.

Oops | made a mistake! | had to browse to redmine/issues/imports/new (leaving out the projects/tickets) portion. The button is still missing from the
sidebar but my guess is the Agile plugin | have installed for evaluation has removed that section of the side bar.

#30 - 2016-02-25 16:16 - Robert Schneider

@FrankZebre: Note sure - if you have Agile plugin of RedmineCRM the link is also there. Have a look into the demo:
http://demo.redminecrm.com/projects/agile/issues

#31 - 2016-03-24 05:17 - shuozhi fenxi

Frank Zebre wrote:
Frank Zebre wrote:

@RobertSchneider: Hmmm | guess | must have a plugin installed that is getting rid of it. Even when | try to browse to
redmine/projects/tickets/issues/imports (or with /new) as suggested by Butanuit Butanuii above | get a Page Not Found.

Oops | made a mistake! | had to browse to redmine/issues/imports/new (leaving out the projects/tickets) portion. The button is still missing from
the sidebar but my guess is the Agile plugin | have installed for evaluation has removed that section of the side bar.

| found what plugin remove the import link.
https://your-redmine-url.xyz/roles/permissions
https://your-redmine-url.xyz/issues/imports/new
https://your-redmine-url.xyz/roles/permissions
https://your-redmine-url.xyz/issues/imports/new
https://www.redmine.org/users/127441
https://www.redmine.org/users/127441
http://demo.redminecrm.com/projects/agile/issues
https://www.redmine.org/users/127441

I my case it is redmine_sidebar_toc_pt.

I think in your case maybe something similar overwrites your issue sidebar. You can check the file app/views/issues/_sidebar.html.erb to find which
call_hook is there.

#32 - 2016-07-18 12:07 - Alfredo Bonilla

Is there any kind of documentation about the import process included in 3.2? I've been searching in the wiki and.. | dindn't find anything

#33 - 2016-08-02 15:20 - Joel Bearden

Alfredo Bonilla wrote:

Is there any kind of documentation about the import process included in 3.2? I've been searching in the wiki and.. | dindn't find anything

Second this request. This would be a tremendous help, but there is no documentation on scheme, headers, etc.

#34 - 2016-08-25 11:42 - Moritz Who Cares

| just added a minimal HowTo. Feel free to extend and/or fix: HowTo_import_issues

#35 - 2017-02-01 20:28 - Pablo Estiga

Moritz Who Cares wrote:

| just added a minimal HowTo. Feel free to extend and/or fix: HowTo_import_issues

Thanks you all for working on this feature, | have extened a little the wiki HowTo_import_issues after done some tests.

#36 - 2017-02-02 00:58 - Go MAEDA

Moritz Who Cares and Pablo Estiga, thank you for writing the detailed document!
HowTo_import_issues

#37 - 2019-03-24 04:27 - Mayur Gaikwad
Hello,
Just a quick question, how do we use files option with import functionality

I'm able to import issues in bulk but many of the issues have some attachments too that needs to be included.
Please help!
